﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Drawing;
using System.Windows.Forms;
using Telerik.Charting;
using Telerik.WinControls;
using Telerik.WinControls.UI;

namespace RadChartViewExample
{
    public partial class Form1 : Form
    {
        private Random rnd = new Random();

        public Form1()
        {
            InitializeComponent();

            DataTable dt = new DataTable();

            dt.Columns.Add("fecha", typeof(DateTime));
            dt.Columns.Add("PACID", typeof(int));
            dt.Columns.Add("OK", typeof(int));
            dt.Columns.Add("MAL", typeof(int));

            dt.Rows.Add(DateTime.Now, 1, 1, 1);
            dt.Rows.Add(DateTime.Now, 2, 1, 1);
            dt.Rows.Add(DateTime.Now, 3, 2, 0);
            dt.Rows.Add(DateTime.Now.AddDays(1), 1, 4, 5);
            dt.Rows.Add(DateTime.Now.AddDays(1), 3, 1, 0);
            dt.Rows.Add(DateTime.Now.AddDays(4), 1, 1, 1);

            BarSeries bar1 = new BarSeries();
            bar1.LegendTitle = "OK";
            bar1.CombineMode = ChartSeriesCombineMode.Stack;

            BarSeries bar2 = new BarSeries();
            bar2.LegendTitle = "MAL";
            bar2.CombineMode = ChartSeriesCombineMode.Stack;

            foreach (DataRow row in dt.Rows)
            {
                double val1 = (int)row["OK"];
                double val2 = (int)row["MAL"];
                string category = ((DateTime)row["fecha"]).ToString("d/MM/yyyy") + " " + row["PACID"].ToString();

                CategoricalDataPoint point1 = new CategoricalDataPoint(val1, category);
                CategoricalDataPoint point2 = new CategoricalDataPoint(val2, category);

                bar1.DataPoints.Add(point1);
                bar2.DataPoints.Add(point2);
            }

            this.radChartView1.Series.Add(bar1);
            this.radChartView1.Series.Add(bar2);
        }
    }
}
